/* -------------------------------------------------------------- */

@keyframes move_wave {
  0% {
      transform: translateX(0) translateZ(0) scaleY(1)
  }
  50% {
      transform: translateX(-25%) translateZ(0) scaleY(0.55)
  }
  100% {
      transform: translateX(-50%) translateZ(0) scaleY(1)
  }
}
.waveWrapper {
  overflow: hidden;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  margin: auto;
  z-index: -200;
  /* background-image: linear-gradient(to top, #86377b 20%, #27273c 80%); */
  /* background-image: linear-gradient(to top, purple, #27273c 80%); */
  background-image: linear-gradient(to top, purple, black 80%);
}
.background-gradient{
  /* background: black; */
  background-size: 75%;
  background-repeat: no-repeat;
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0.2;
}
.waveWrapperInner {
  position: absolute;
  width: 100%;
  overflow: hidden;
  height: 100%;
  bottom: -1px;
  /* background-image: linear-gradient(to top, #86377b 20%, #edf2fa 80%); */
  /* background-image: linear-gradient(to top, #fff 20%, #86377b 80%); */
}


.learning-mode-container .waveWrapper {
  /* background-image: linear-gradient(180deg, #FFFFFF 0%, #6284FF 50%, purple 100%); */
  background-image: linear-gradient(to top, purple, black 80%);

  /* background-image: linear-gradient(to top, #87ceeb 20%, #00ccff 80%); */
}
.bgTop {
  z-index: 15;
  opacity: 0.1;
}
.bgMiddle {
  z-index: 10;
  opacity: 0.1;
}
.bgBottom {
  z-index: 5;
  opacity: 0.1;
}
.wave {
  position: absolute;
  left: 0;
  width: 200%;
  height: 100%;
  background-repeat: repeat no-repeat;
  background-position: 0 bottom;
  transform-origin: center bottom;
}
.waveTop {
  background-size: 50% 100px;
}
.waveAnimation .waveTop {
animation: move-wave 3s;
 -webkit-animation: move-wave 3s;
 -webkit-animation-delay: 1s;
 animation-delay: 1s;
}
.waveMiddle {
  background-size: 50% 120px;
}
.waveAnimation .waveMiddle {
  animation: move_wave 10s linear infinite;
}
.waveBottom {
  background-size: 50% 100px;
}
.waveAnimation .waveBottom {
  animation: move_wave 15s linear infinite;
}

/* ---------------------------------------------------- */
.user-details {
  /*background-color: #000;*/
  color: #fff;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
  border-radius: 10px;
  /* box-shadow: 5px 5px 1px rgba(255, 255, 255, 0.2); */
}
.canvas-bg {
  position:absolute;
  top:0;
  left:0;
  padding: 0 !important;
  opacity: 0.5;
}
.canvas-bg:nth-child(2) {
  top:150px;
}
.canvas-bg:nth-child(3) {
  top:50px;
}
